﻿<div class="navbar">
    <div class="navbar-inner">
        <div class="left sliding">
            <a ng-click="GoToPreviousPage()" class="link back icon-only"><i class="ionicons ion-android-arrow-forward"></i></a>
        </div>
        <div class="center sliding">
            تغطية الزوار
        </div>
        <div class="right sliding">
            <a ng-click="GoToSearch()" class="link icon-only"><i class="ionicons ion-android-search"></i> </a>

        </div>
    </div>
    <div class="subnavbar">
        <div class="list-block">
            <ul>
                <li>
                    <a id="linkHomeBannerCity" href="#" data-open-in="popup" data-popup-close-text="إغلاق" class="item-link smart-select" data-back-on-select="true">
                        <select ng-change="goToSearchResult(selectedItem)" ng-model="selectedItem" ng-options="city.name for city in cites"></select>

                        <div class="item-content">
                            <div class="item-media"><i class="ionicons ion-android-pin"></i></div>
                            <div class="item-inner"> {{CurrentuserCityName}} </div>
                        </div>
                    </a>
                </li>
            </ul>

        </div>
    </div>
</div>

<div id="divInfiniteVisitorOpinion" class="page-content infinite-scroll pull-to-refresh-content"ng-model="place" >
    <div class="pull-to-refresh-layer">
        <div class="preloader"></div>
    </div>
    <!-- swiper Page-->
    <div id="VisitorOpinionwiper" class="swiper-container  offerImg swiperAdvertisment">
        <div class="swiper-wrapper">
            <div class="swiper-slide" ng-repeat="ad in Advertisements">
                <div class="item">
                    <a ng-click="goToAdvertisementUrl(ad.url)">
                        <img data-ng-src="{{ ad.photoUrl | generateURL}}" src="../img/square.svg" class="lazy" fallback-src="img/no-product.png" />
                    </a>
                </div>
            </div>
        </div>
    </div>

    <div class="content-block">
        <h3>اسم المكان</h3>
        <p>{{place.name}}</p>
        <p>
            <jk-rating-stars  max-rating="5"  rating="place.rating" read-only="true"></jk-rating-stars>
        </p>
        <div class="rate" ng-show="userLogin" >
            <p ng-if="userLogin" >إترك تقييمك</p>
            <jk-rating-stars ng-if="userLogin" max-rating="5" rating="place.userRating" on-rating="onPlaceRating(rating)"></jk-rating-stars>
        </div>
        <h3 >صور المكان</h3>
        <div class="row" ng-if="visitorOpinionContainsImages">
            <div ng-if="visitorOpinionContainsImages" class="col-25" ng-repeat="photo in photos">
                <a ng-click="openVisitorOpinionGallery($index)" class="pb-popup-dark">
                    <img data-ng-src="{{photo.photoUrl | generateURL}}" src="../img/square.svg" class="lazy" fallback-src="img/no-product.png" />
                </a>
            </div>
        </div>

        <div class="divAlertDesc" ng-if="!visitorOpinionContainsImages">
            <p class="pNotification">لا يوجد صور للمكان .</p>
        </div>

        <p><a href="#" ng-click="goToUserOpinion()" class="button button-round purple">إضافة تغطية</a></p>
        <div class="list-block">


            <p ng-show="userLogin" >اكتب تعليقك</p>
            <form ng-show="userLogin"  name="$parent.VisitorOpinionCommentForm" ng-submit="submitForm($parent.VisitorOpinionCommentForm.$valid)" novalidate>
                <ul>
                    <li>
                        <div class="item-content" ng-class="submittedVisitorOpinionComment && visitorOpinionCommentReset && $parent.VisitorOpinionCommentForm.commentText.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <textarea name="commentText" type="text" placeholder="اكتب تعليقك" ng-model="visitorOpinionCommentForm.commentText" required></textarea>
                                </div>
                            </div>
                        </div>
                        <p ng-if="submittedVisitorOpinionComment && visitorOpinionCommentReset && $parent.VisitorOpinionCommentForm.commentText.$error.required" class="error-block">يجب إدخال التعليق</p>
                    </li>
                </ul>
                <p>
                    <button type="submit" ng-click="submittedVisitorOpinionComment=true" class="button button-round purple">إضافة تعليق</button>
                </p>
            </form>


        </div>
        <ul class="chatui" ng-show="visitorOpinionContainsComments">
            <li ng-repeat="comment in comments">
                <div class="chatavatar">
                    <img data-ng-src="{{comment.photoUrl | generateURL}}" src="../img/square.svg" class="lazy" fallback-src="img/no-product.png" />
                </div>
                <div class="column-right chat">
                    <div class="chat-text">
                        <div class="commentowner">
                            {{comment.fullName}}
                        </div>
                        <p>{{comment.commentText}}</p>
                        <span >
                            <a ng-click="OpenReplies(comment)">
                                <i class="ionicons ion-chatboxes"></i>
                                {{comment.childrenCommentsCount}} من الردود
                            </a>
                        </span>
                        <span class="chat-delete">
                            <a ng-click="DeleteComment(comment)" ng-if="comment.isCommentOwner">
                                <i class="ionicons ion-android-delete"></i> حذف
                            </a>
                        </span>
                    </div>
                    <div class="chat-time">{{comment.commentPeriod}}</div>
                </div>
            </li>
        </ul>
        <div class="divAlertDesc" ng-show="visitorOpinionAlert">
            <p class="pNotification">لا يوجد تعليقات .</p>
        </div>
        <div id="infiniteLoaderVisitorOpinion" class="infiniteLoader" ng-show="visitorOpinionMoreThanThreeComments">
            <img ng-src="img/load.svg" />
        </div>
    </div>
</div>